libSimGearCore-2018_3_2-2018.3.2-32.1.x86_64.rpm


Advertisement

Description

libSimGearCore-2018_3_2 - Simulator Construction Gear

Property Value
Distribution openSUSE Tumbleweed
Repository Games all
Package filename libSimGearCore-2018_3_2-2018.3.2-32.1.x86_64.rpm
Package name libSimGearCore-2018_3_2
Package version 2018.3.2
Package release 32.1
Package architecture x86_64
Package type rpm
Category Amusements/Games/3D/Simulation
Homepage http://www.flightgear.org/
License LGPL-2.0-or-later AND GPL-2.0-or-later AND MIT
Maintainer -
Download size 1.70 MB
Installed size 7.48 MB
SimGear is a set of open-source libraries designed to be used as building
blocks for quickly assembling 3D simulations, games, and visualization
applications.
SimGear is developed as part of the FlightGear project and used by the
FlightGear flight simulator and many of its related utilities.

Alternatives

Package Version Architecture Repository
libSimGearCore-2018_3_2-2018.3.2-32.1.i586.rpm 2018.3.2 i586 Games
libSimGearCore-2018_3_2-2018.3.2-3.1.i586.rpm 2018.3.2 i586 openSUSE Oss
libSimGearCore-2018_3_2-2018.3.2-3.1.x86_64.rpm 2018.3.2 x86_64 openSUSE Oss
libSimGearCore-2018_3_2 - - -

Requires

Name Value
/sbin/ldconfig -
OpenSceneGraph-plugins = 3.4.1
libGL.so.1()(64bit) -
libOpenThreads.so.20()(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libcurl.so.4()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgcc_s.so.1(GCC_3.4)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.27)(64bit) -
libm.so.6(GLIBC_2.29)(64bit) -
libopenal.so.1()(64bit) -
libosg.so.131()(64bit) -
libosgDB.so.131()(64bit) -
libosgGA.so.131()(64bit) -
libosgParticle.so.131()(64bit) -
libosgSim.so.131()(64bit) -
libosgText.so.131()(64bit) -
libosgUtil.so.131()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.5)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.18)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.19)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libz.so.1()(64bit) -
libz.so.1(ZLIB_1.2.3.5)(64bit) -

Provides

Name Value
libSimGearCore-2018_3_2 = 2018.3.2-32.1
libSimGearCore-2018_3_2(x86-64) = 2018.3.2-32.1
libSimGearCore.so.2018.3.2()(64bit) -
libSimGearScene.so.2018.3.2()(64bit) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libSimGearCore-2018_3_2-2018.3.2-32.1.x86_64.rpm
Source Package SimGear-2018.3.2-32.1.src.rpm

Install Howto

  1. Add the Games repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/games/openSUSE_Tumbleweed/ games
  2. Install libSimGearCore-2018_3_2 rpm package:
    # zypper install libSimGearCore-2018_3_2

Files

Path
/usr/lib64/libSimGearCore.so.2018.3.2
/usr/lib64/libSimGearScene.so.2018.3.2
/usr/share/licenses/libSimGearCore-2018_3_2/COPYING

Changelog

2019-03-21 - Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix building with booost 1.69:
* Add 0001-Remove-deprecated-boost-utility.patch
* Add 0001-boost-enable_if-Support-Boost-versions-1.56.patch
2019-03-04 - Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix redirect handling, add
0001-Improve-HTTP-redirect-handling-and-add-test.patch
2019-02-11 - Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 2018.3.2
* changelog: http://wiki.flightgear.org/Changelog_2018.3#2018.3.2_point_release
2018-12-18 - Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 2018.3.1
* changelog: see upstream, http://wiki.flightgear.org/Changelog_2018.3
- Drop upstream 0001-Add-missing-return-value.patch
2018-07-19 - stefan.bruens@rwth-aachen.de
- Adjust BuildRequires and Requires
* Use BuildConflicts to force a OSG version >= 3.2
* Drop BuildRequires for OSG plugins, not needed
* Add versioned Requires: openSceneGraph-plugins. We want plugins
with the same version as the linked library
- Use %license for COPYING
2018-07-01 - stefan.bruens@rwth-aachen.de
- Fix failing build, no-return-in-nonvoid-function
0001-Add-missing-return-value.patch
- Change BuildRequires, OpenSceneGraph 3.6 has an incompatible API
2018-06-27 - Mathias.Homann@opensuse.org
- Update to 2018.2.2
* changelog: see upstream, http://wiki.flightgear.org/Changelog_2018.2
* Fixes boo#1099288 (update requested)
2018-05-04 - Mathias.Homann@opensuse.org
- Update to 2018.1.1
* changelog: see upstream, http://wiki.flightgear.org/Changelog_2018.1
2018-01-03 - rpm@fthiessen.de
- Fixed dependencies
2017-12-05 - stefan.bruens@rwth-aachen.de
- Drop lots of unused BuildRequires, as a side effect, fixes building
on Factory (as it no longer requires openSSL 1_0_0 and 1_1_0)
- Remove no longer used/known -DJPEG_FACTORY:BOOL=ON

See Also

Package Description
libSocketW-devel-031026-5.13.i586.rpm It is a streaming socket C++ library designed to be easy to use
libSocketW-devel-031026-5.13.x86_64.rpm It is a streaming socket C++ library designed to be easy to use
libSocketW0-031026-5.13.i586.rpm It is a streaming socket C++ library designed to be easy to use
libSocketW0-031026-5.13.x86_64.rpm It is a streaming socket C++ library designed to be easy to use
libTMCG-devel-1.3.17-19.8.i586.rpm Libraries and headers to develop with libTMCG library
libTMCG-devel-1.3.17-19.8.x86_64.rpm Libraries and headers to develop with libTMCG library
libTMCG16-1.3.17-19.8.i586.rpm C++ library for creating secure and fair online card games
libTMCG16-1.3.17-19.8.x86_64.rpm C++ library for creating secure and fair online card games
libalfont-devel-2.0.9-1.37.i586.rpm Development files for alfont
libalfont-devel-2.0.9-1.37.x86_64.rpm Development files for alfont
libalfont2-2.0.9-1.37.i586.rpm Library files for alfont
libalfont2-2.0.9-1.37.x86_64.rpm Library files for alfont
liballeg44-devel-4.4.2-2.10.i586.rpm A game programming library
liballeg44-devel-4.4.2-2.10.x86_64.rpm A game programming library
liballeg4_4-32bit-4.4.2-2.10.x86_64.rpm A game programming library
Advertisement
Advertisement